Bug 913021 - (CVE-2013-1484) CVE-2013-1484 OpenJDK: MethodHandleProxies insufficient privilege checks (Libraries, 8004937)
CVE-2013-1484 OpenJDK: MethodHandleProxies insufficient privilege checks (Lib...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130219,repor...
: Security
Depends On:
Blocks: 906729
  Show dependency treegraph
 
Reported: 2013-02-20 03:57 EST by Tomas Hoger
Modified: 2013-03-12 04:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: icedtea7 2.1.6, icedtea7 2.2.6, icedtea7 2.3.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 04:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-02-20 03:57:56 EST
It was discovered that MethodHandleProxies implementation of the new reflection API in OpenJDK did not properly check privileges of the code.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/11c26eb70acb

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013update-1905892.html
Comment 1 errata-xmlrpc 2013-02-20 06:32:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0275 https://rhn.redhat.com/errata/RHSA-2013-0275.html
Comment 2 errata-xmlrpc 2013-02-20 16:45:20 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0532 https://rhn.redhat.com/errata/RHSA-2013-0532.html
Comment 3 Tomas Hoger 2013-02-21 05:06:05 EST
Fixed in upstream IcedTea versions IcedTea7 2.1.6, 2.2.6, and 2.3.7:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/022040.html
Comment 4 errata-xmlrpc 2013-03-11 15:00:53 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html

Note You need to log in before you can comment on or make changes to this bug.